org.eclipse.emf.facet.efacet.core.exception

## Class FacetManagerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.emf.facet.efacet.core.exception.FacetManagerException

All Implemented Interfaces:
  java.io.Serializable

    public class FacetManagerException
    extends java.lang.Exception

Since:
  0.2
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FacetManagerException()`
`FacetManagerException(java.lang.String message)`
`FacetManagerException(java.lang.String message, java.lang.Throwable cause)`
`FacetManagerException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FacetManagerException

    public FacetManagerException()

#### FacetManagerException

    public FacetManagerException(java.lang.String message)

#### FacetManagerException

    public FacetManagerException(java.lang.Throwable cause)

#### FacetManagerException

    public FacetManagerException(java.lang.String message,
                                 java.lang.Throwable cause)